<?php
/*###############################################
## This file extracts some exif information from image, if:
##
## * PHP >= 4.2.0
## * EXIF support in PHP == true
## * if image type is jpeg
## * if enabled in config
###############################################*/

print("<div align='left'>");
print("<table cellpadding='0' cellspacing='1' width='100%'>");

if($exif)
{
	print("<hr>");
	if($exif_data=read_exif_data("{$prev_path}/{$filename}"))
	{
		/* get everything from array */
		while(list($key,$value)=each($exif_data))
		{
		$line_str="<tr><td><font size='-2'><b>$key</b></font></td>
						<td><font size='-2'>$value</font></td><tr>";

			/* get out some wanted values */

				/* level >=low */
				if($exif_level=="low" || $exif_level=="medium" || $exif_level=="high")
				{
				switch($key)
					{
					case "FileName":$key=$key; $value=$value;
					print("$line_str");
					break;
					case "FileSize":$key=$key; $value=$value;
					print("$line_str");
					break;
					case "DateTime":$key=$key; $value=$value;
					print("$line_str");
					break;
					}
				}
				/* level >=medium */
				if($exif_level=="medium" || $exif_level=="high")
				{
				switch($key)
				{
					case "CameraMake":$key=$key; $value=$value;
					print("$line_str");
					break;
					case "Make":$key=$key; $value=$value;
					print("$line_str");
					break;
					case "CameraModel":$key=$key; $value=$value;
					print("$line_str");
					break;
					case "Model":$key=$key; $value=$value;
					print("$line_str");
					break;
					case "Height":$key=$key; $value=$value;
					print("$line_str");
					break;
					case "ExifImageLength":$key=$key; $value=$value;
					print("$line_str");
					break;
					case "Width":$key=$key; $value=$value;
					print("$line_str");
					break;
					case "ExifImageWidth":$key=$key; $value=$value;
					print("$line_str");
					break;
					}
				}
				/* level == high */
				if($exif_level=="high")
				{
				switch($key)
				{
					case "Orientation":$key=$key;
					if($value==false){$value="portrait";}else{
					$value="landscape";}
					print("$line_str");
					break;
					case "ExposureTime":$key=$key; $value=$value;
					print("$line_str");
					break;
					case "ISOSpeed":$key=$key; $value=$value;
					print("$line_str");
					break;
					case "ISOSpeedRatings":$key=$key; $value=$value;
					print("$line_str");
					break;
					case "Flash":$key=$key;
					if($value==0){$value="no";}else{
					$value="yes";}
					print("$line_str");
					break;
					case "FlashUsed":$key=$key;
					if($value==0){$value="no";}else{
					$value="yes";}
					print("$line_str");
					break;
					case "ApertureValue":$key=$key; $value=$value;
					print("$line_str");
					break;
					case "35mmFocalLength":$key=$key; $value=$value;
					print("$line_str");
					break;
					case "FocalLength":$key=$key; $value=$value;
					print("$line_str");
					break;
					}
				}
		}
	}
	else
	{
		echo "<br><font size='-2'>$exif_error</font>";
	}

}
print("</table></div>");
/*elseif(extension_loaded(exif))
{
	$exif_data=read_exif_data("$prev_path/$filename");
	while(list($key,$value)=each($exif_data))
	{
		if($key=="Comments"): $exif_comment=$value;endif;
	}
}
*/

if($exif && !$exif_default)
{
	print("<br><a href='img_view.php?$url_link&exif=0&$append'>
			<b><u><font color='#000099'>$exif_less</font></u></b></a>");
}
elseif(!$exif_default)
{
	print("<font size='-2'><b>$img_size</b>: $org_width x $org_height</font>");
	print("<br><font size='-2'><b>$img_name</b>: {$filename}</font>");
	print("<br><a href='img_view.php?$url_link&exif=1'>
			<b><u><font color='#000099'>$exif_more</font></u></b></a>");
}

print("<hr>");
?>
