<?php include_once("toc.php"); ?>

<!-- Translators start HERE !!! -->
<!-- LinPHA installation help -->
<b><u><h2><?php echo $inst_msg ?></h2></u></b>

<!-- DB acces type (full)-->
<p><br>
	<b><?php echo $inst_full_access_msg ?>&nbsp; </b>
	<a href="#tocfullaccess" name="fullaccess">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		If you are going to install LinPHA at your <b>Home-PC</b> or a so called "root-server"
		on the internet, this is the option to choose. You also need full access rights to a MySQL
		database server to create a new linpha user.
	</div></blockquote>

<!-- DB acces type (limited)-->
<p><br>
	<b><?php echo $inst_limited_access_msg ?>&nbsp; </b>
	<a href="#toclimitedaccess" name="limitedaccess">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		If you are going to install LinPHA somewhere on <b>the internet</b>, this is the option
		to choose. Most internetproviders do not allow full access to the MySQL database.
	</div></blockquote>

<!-- SQL admin name -->
<p><br>
	<b><?php echo $inst_superadmin_name ?>&nbsp; </b>
	<a href="#tocsqladminname" name="sqladminname">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		The name of your MySQL database admin. This is often the so called "root" account.
	</div></blockquote>

<!-- SQL admin pass -->
<p><br>
	<b><?php echo $inst_superadmin_pass ?>&nbsp; </b>
	<a href="#tocsqladminpass" name="sqladminpass">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		The password for the MySQL admin/root account. <b>NOTE:</b> For security reasons
		LinPHA will NOT install on systems without an admin password, so make sure to
		have an admin/root account incl. password ready!
	</div></blockquote>

<!-- LinPHA admin name -->
<p><br>
	<b><?php echo $inst_admin_name ?>&nbsp; </b>
	<a href="#toclinphaname" name="linphaname">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		The name of the LinPHA administrator. You can later login with this name to perform
		administrative LinPHA tasks.
	</div></blockquote>

<!-- LinPHA admin pass -->
<p><br>
	<b><?php echo $inst_admin_pass ?>&nbsp; </b>
	<a href="#toclinphapass" name="linphapass">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		The password for the LinPHA administrator.
	</div></blockquote>

<!-- LinPHA admin email -->
<p><br>
	<b><?php echo $inst_admin_email ?>&nbsp; </b>
	<a href="#toclinphamail" name="linphamail">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Email address for the LinPHA administrator. (not yet used)
	</div></blockquote>

<!-- LinPHA db connection hostname -->
<p><br>
	<b><?php echo $inst_db_host ?>&nbsp; </b>
	<a href="#tocdbhost" name="dbhost">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		The hostname of the MySQL database server. This is often "localhost" for Home-PC's and
		something like "mysql.somewhere.org" for ISP's.
	</div></blockquote>

<!-- LinPHA db connection port -->
<p><br>
	<b><?php echo $inst_db_host_port ?>&nbsp; </b>
	<a href="#tocdbport" name="dbport">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		The MySQL serverport. In most cases this is the default 3306.
	</div></blockquote>

<!-- LinPHA db name (full) -->
<p><br>
	<b><?php echo $inst_db_name ?>&nbsp; </b>
	<a href="#tocdbname_full" name="dbname_full">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		The name of the database to hold all LinPHA tables. If unsure leave the default "linpha".<br>
		If you are going to install several versions or instances of LinPHA
		change the database name here.
	</div></blockquote>

<!-- LinPHA db name (limited) -->
<p><br>
	<b><?php echo $inst_db_name2 ?>&nbsp; </b>
	<a href="#tocdbname" name="dbname">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		The name of the database to connect. This name is <b>given you</b> by your ISP.
	</div></blockquote>

<!-- LinPHA db prefix (limited) -->
<p><br>
	<b><?php echo $inst_table_prefix ?>&nbsp; </b>
	<a href="#tocdprefix" name="dbprefix">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		The prefix for all LinPHA tables. All LinPHA tables will have the <b>prefix "linpha_"</b>
		in your database. Feel free to change it to whatever you like.
	</div></blockquote>

<!-- LinPHA administration help -->
<b><u><h2><?php echo $href_general_conf ?></h2></u></b>
<!-- GENERAL CONFIG -->

<!-- album title -->
<p><br>
	<b><?php echo $general_album_title ?>&nbsp; </b>
	<a href="#tocalbumtitle" name="albumtitle">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to set the name of the LinPHA photo album. 
		Leave the option blank to use the default name.<br>
		Default: blank (The Linux Photo Archive)
	</div></blockquote>

<!-- number of columns -->
<p><br>
	<b><?php echo $general_photos_col ?>&nbsp; </b>
	<a href="#tocphotoscol" name="photoscol">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to increase/decrease the <b>number of columns</b> with thumbnails.
		It takes effect in all pages were thumbnails are displayed.<br>
		You may increase this value when running LinPHA in high resolution > 1024x768<br>
		Default: 4 columns
	</div></blockquote>

<!-- number of rows -->
<p><br>
	<b><?php echo $general_photos_row ?>&nbsp; </b>
	<a href="#tocphotosrow" name="photosrow">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to increase/decrease the <b>number of rows</b> with thumbnails.
		It takes effect in all pages were thumbnails are displayed.<br>
		You may increase this value when running LinPHA in high resolution > 1024x768<br>
		Default: 3 rows
	</div></blockquote>

<!-- photos width -->
	<p><br>
	<b><?php echo $general_photos_width ?>&nbsp; </b>
	<a href="#tocphotoswidth" name="photoswidth">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to set the default <b>width of photos</b> displayed in img_view.php.
		I.e. the displayed "medium" sized image when a thumbnail was clicked.<br>
		You may increase this value when running LinPHA in high resolution > 1024x768<br>
		Default: 512
	</div></blockquote>

	<!-- photos height -->
	<p><br>
	<b><?php echo $general_photos_height ?>&nbsp; </b>
	<a href="#tocphotosheight" name="photosheight">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to set the default <b>height of photos</b> displayed in img_view.php.
		I.e. the displayed "medium" sized image when a thumbnail was clicked.<br>
		You may increase this value when running LinPHA in high resolution > 1024x768<br>
		Default: 384
	</div></blockquote>

	<!-- image quality setting -->
	<p><br>
	<b><?php echo $general_img_quality ?>&nbsp; </b>
	<a href="#tocimgquality" name="imgquality">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to set the default <b>quality of images</b> in img_view.php.
		(the image that appears after you click a thumbnail). You may increase loading speed
		due set to a lower value. Examples:<br>
		Image size (quality 75) = 28.55 KB<br>
		Image size (quality 50) = 18.47 KB<br>
		Image size (quality 40) = 15.80 KB<br>
		Note: This option only takes effect if you installed convert. GD lib is NOT supported!!<br>
		Default: 75
	</div></blockquote>

<!-- image rotating on/off -->
	<p><br>
	<b><?php echo $general_rotate ?>&nbsp; </b>
	<a href="#tocrotateonoff" name="rotateonoff">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to enable/disable the image rotation feature in img_view.php
		PLEASE NOTE:<br>
		If you are using the GD library please note that <b><font color="FF0000">ALL OF THE IMAGE EXIF INFORMATION
		WILL GET LOST !!!</font></b> during image rotation.<br>I already wrote a bug report to the PHP developers but they
		told me that they will NOT fix this bug! :-(<br><br>
		If you are using the convert tool from the ImageMagick suite you should be save but please make sure
		to test it!<br>
		Default: off
	</div></blockquote>

<!-- exifinfo on/off -->
	<p><br>
	<b><?php echo $general_exifinfo ?>&nbsp; </b>
	<a href="#tocexifonoff" name="exifonoff">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Many images in jpg format contain some special information known as EXIF.
		This option allows you to enable/disable the display of EXIF information in img_view.php.
		(the site that appears after you click a thumbnail) If there is no good reason
		you should leave the default (on).<br>
		HINT: If enabled you should also see:<br>
		<a href='#exifdefault'>EXIF default settings</a><br>
		<a href='#exiflevel'>EXIF verbosity level settings</a>
	</div></blockquote>

<!-- exifinfo by default -->
	<p><br>
	<b><?php echo $general_exifdefault ?>&nbsp; </b>
	<a href="#tocexifdefault" name="exifdefault">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to display the image EXIF information in img_view.php
		(the site that appears after you click a thumbnail) by default.
		Otherwise users have to click the <b>"more details"</b> link to get the EXIF information.<br>
		Default: off
	</div></blockquote>

<!-- level of exif info -->
	<p><br>
	<b><?php echo $general_exiflevel ?>&nbsp; </b>
	<a href="#tocexiflevel" name="exiflevel">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
	The amount of EXIF information is defined in <b>three levels</b> (low/medium/high).
	The higher you set this level, the amount of displayed EXIF information increases.<br>
	Default: medium
	</div></blockquote>

<!-- filenames on/off -->
	<p><br>
	<b><?php echo $general_filename ?>&nbsp; </b>
	<a href="#tocfilename" name="filename">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you whether to display the filename below the thumbnail or not.<br>
		Default: on
	</div></blockquote>

<!-- thumbnail order -->
	<p><br>
	<b><?php echo $general_thumb_order ?>&nbsp; </b>
	<a href="#tocthumborder" name="thumborder">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to change the order of the thumbnails. You can choose between
		<b>"order by date"</b> (latest photo first) and <b>"order by filename"</b> (descent).<br>
		Default: date
	</div></blockquote>

<!-- autocreate thumbnails -->
	<p><br>
	<b><?php echo $general_autoconf ?>&nbsp; </b>
	<a href="#tocautoconf" name="autoconf">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		With this option set ON, LinPHA detects all changes in your albums automatically. This means
		LinPHA auto creates thumbnails for new added images, and deletes everything from DB if
		you remove an image or album.<br>
		Since this task causes heavy CPU load, you should set it OFF and only enable it if
		you changed something. Better leave it OFF and make use of the "create all thumbs at once"
		feature! <a href='#createthumbs'>(INFO)</a><br>
		Default: off
	</div></blockquote>

<!-- user counter -->
	<p><br>
	<b><?php echo $general_counterstat ?>&nbsp; </b>
	<a href="#toccounter" name="counter">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to define, whether to display the user counter in the upper right or not.<br>
		Default: enable
	</div></blockquote>

<!-- ip block time -->
	<p><br>
	<b><?php echo $general_blocking ?>&nbsp; </b>
	<a href="#tocipblocking" name="ipblocking">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to define the time an ip adress <b>is blocked</b>. This means
		during this value the user is not counted as a new visitor.<br>
		Default: 15 minutes
	</div></blockquote>

<!-- language select-->
	<p><br>
	<b><?php echo $default_language ?>&nbsp; </b>
	<a href="#toclanguage" name="language">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		The LinPHA default language. If you enabled \"language auto-detect\" this
		is the default fallback language.<br>
	</div></blockquote>

<!-- language auto detection -->
	<p><br>
	<b><?php echo $general_auto_lang ?>&nbsp; </b>
	<a href="#tocautolanguage" name="autolanguage">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		If enabled, LinPHA welcomes a vistor in his native language (if supported). If an unsupported
		language is detected, LinPHA uses the default language as fallback.
		(see <a href='#language'>default language</a><br>
		Default: off
	</div></blockquote>

<!-- theme select-->
	<p><br>
	<b><?php echo $general_theme ?>&nbsp; </b>
	<a href="#toctheme" name="theme">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to change the default LinPHA look and feel. Choose from <b>three
		avilable</b> themes. (Aqua/Colored/Shadow)<br>
		Default: Aqua
	</div></blockquote>

<!-- hq thumbs on/off -->
	<p><br>
	<b><?php echo $general_hq ?>&nbsp; </b>
	<a href="#tochqthumbs" name="hqthumbs">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to create high quality thumbnails using the GD library. They look
		much smoother but this causes <b>very high CPU load</b>.<br>
		Do not enable if your CPU is slower 1 GHz!!<br>
		Default: off
	</div></blockquote>

<!-- guest printing on/off -->
	<p><br>
	<b><?php echo $general_printing ?>&nbsp; </b>
	<a href="#tocprinting" name="printing">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to enable the LinPHA printing feature for guest users. If enabled
		everyone is allowed to print (eg. the "Print mode" link and icon are visible).
		If set off, users must first login to be able to print.<br>
		Default: off
	</div></blockquote>

<!-- slideshow on/off -->
	<p><br>
	<b><?php echo $general_slideshow ?>&nbsp; </b>
	<a href="#tocslideshow" name="slideshow">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to enable/disable the LinPHA slideshow feature. If your server has
		low bandwidth or CPU < 300MHz you should disable the slideshow.<br>
		Default: on
	</div></blockquote>

<!-- image mini preview  on/off -->
	<p><br>
	<b><?php echo $general_mini_preview ?>&nbsp; </b>
	<a href="#tocminiprev" name="miniprev">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to enable/disable the use of images as next/previous button
		in img_view.php instead of arrow icons. If you have many visiors wih a low bandwidth
		you should disable this feature as it causes a 7kb "overhead" compared to the arrow icons.<br>
		Default: on
	</div></blockquote>


<!-- USER MANAGEMENT -->
	<b><u><h2><?php echo $href_user_conf ?></h2></u></b>

<!-- modify user-->
	<p><br>
	<b><?php echo $mod_user_header ?>&nbsp; </b>
	<a href="#tocusermod" name="usermod">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Change user names,  passwords, email and user levels here. You may also delete users here.
		Userlevel info is <a href='#usernew'>here</a>.
	</div></blockquote>

<!-- new user-->
	<p><br>
	<b><?php echo $new_user_header ?>&nbsp; </b>
	<a href="#tocusernew" name="usernew">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Use this form to create new user accounts and assign them password, email adress and userlevel.<br>
		The userlevel (friend/admin) allows you to set the users privileges. <b>Warning!</b> if set
		admin, the user gains the same rights as YOU!<br>
	</div></blockquote>

<!-- FOLDER/ALBUMS MANAGEMENT -->
	<b><u><h2><?php echo $href_folder_conf ?></h2></u></b>

<!-- folder permissions-->
	<p><br>
	<b><?php echo $set_dir_perms_header ?>&nbsp; </b>
	<a href="#tocfolderperms" name="folderperms">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to hide albums/folders. LinPHA knows three stages:<br>
		<b>PUBLIC:</b> Visible to any user, no need to login.<br>
		<b>FRIEND:</b> Visible only to users logged in with either friend or admin status.<br>
		<b>PRIVATE:</b> Visible only to admin users. (not friends)
	</div></blockquote>

<!-- OTHER OPTIONS -->
	<b><u><h2><?php echo $href_other_conf ?></h2></u></b>

<!-- create all thumbs at once -->
	<p><br>
	<b><?php echo $th_msg ?>&nbsp; </b>
	<a href="#toccreatethumbs" name="createthumbs">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This allows you to create/delete all thumbnails <b>without interaction</b>.
		Depending at the amount of new added/deleted images, this may <b>take some time</b> to finish!<br>
		Other then <a href='#autoconf'>Auto configure</a>, this script creates/deletes
		ALL new/deleted thumbnails in ALL folders (recursive).
	</div></blockquote>

<!-- recreate all thumbs at once -->
	<p><br>
	<b><?php echo $recreate_thumbs_header ?>&nbsp; </b>
	<a href="#tocrecreatethumbs" name="recreatethumbs">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This allows you to RECREATE all thumbnails <b>without interaction</b>.
		Other than <a href='#createthumbs'>Create all thumbs</a> this script recreates
		ALL thumbnails in ALL folders (recursive) AND ALL comments, descriptions and statistics will
		get lost.<br>
	</div></blockquote>

<!-- add new category -->
	<p><br>
	<b><?php echo $new_cat_header  ?>&nbsp; </b>
	<a href="#toccatnew" name="catnew">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		LinPHA allows you to create categories. These categories are NOT visible to the users.<br>
		It allows you to <b>organize your photos</b> within categories like Holliday, Cars, Cat, whatever.
		The main purpose is to <b>find them</b> much easier later via the search page,
		and for a better overview.
	</div></blockquote>

<!-- mod  categories -->
	<p><br>
	<b><?php echo $mod_cat_header  ?>&nbsp; </b>
	<a href="#toccatmod" name="catmod">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Modify/delete all your categories here...
	</div></blockquote>

<!-- MISC OPTIONS -->
	<b><u><h2><?php echo $misc_help ?></h2></u></b>

<!-- problems rotating images -->
	<p><br>
	<b><?php echo $img_rotating ?>&nbsp; </b>
	<a href="#tocimgrotate" name="imgrotate">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		If the LinPHA image rotation feature is disabled please make sure that:<br><br>
		<b>1. You set the right file permissions!</b><br>
		Either you have to change the ownership of the files to the
		one Apache is running at. (maybe nobody/apache/wwwrun...)
		Or do a chmod 666 (UNIX only)...<br>
		<b>2. You check your PHP version!</b><br>
		If you have installed convert from the ImageMagick suite you are save :-)<br><br>
		If you are using GD lib to create thumbnails, your PHP version MUST be at least
		<b>>=4.3.0</b>. All earlier versions do not support image rotating.
		(see http://your_domain/linpha/config/info.php for the installed PHP version)<br>
		Maybe you have to upgrade, sorry...
	</div></blockquote>

<!-- problems printing images -->
	<p><br>
	<b><?php echo $printing_probs ?>&nbsp; </b>
	<a href="#tocprintprobs" name="printprobs">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		If the LinPHA printing feature is disabled please make sure that:<br><br>
		1. Your PHP version is at least <b>>=4.3.0</b>. All earlier versions
		do not support image rotating which is required for printing.<br><br>
		2. If you don't like to update your PHP version you should consider to
		install the convert tool from the ImageMagick suite which does not depend
		on the installed PHP version.<br>
		(remember to set "use_convert" = "1" after install in the linpha_config table!!!)</b><br><br>
		3. You can disable this message (for guest visitors) due setting
		"guest printing" off in the admin section. see <a href='#printing'>LinPHA printing</a>
	</div></blockquote>

</BODY></HTML>
