<?php
	include_once("../lang/lang.{$_GET['lang']}.php");
	print("<HTML LANG='$html_lang'>");
	print("<HEAD>");
	print("<META http-equiv='Content-type' content='text/html; charset=$html_charset'>");
	print("<META NAME='keywords' CONTENT='Linpha bzrudi71 daniso'>");
	print("<META NAME='description' CONTENT='Linux Photo Album Archive linpha'>");
	print("<TITLE>$page_title</TITLE>");
	print("</HEAD>");
	print("<BODY>");
?>

<!-- Building table of contents (TOC) do NOT change anything here -->

<h1>LinPHA <?php echo  $help ?></h1>
<blockquote>
<div style="background-color: #DDDDDD; color: #000000; padding: 2px;">
	<b><u><h2><?php echo $inst_msg ?></h2></u></b>

	<!-- DB acces type -->
	<b><u><?php echo $inst_access_msg ?></u></b>
	<ul>
		<li><a href="#fullaccess"><?php echo $inst_full_access_msg ?></a>
		<a name="tocfullaccess">&nbsp;</a></li>

		<li><a href="#limitedaccess"><?php echo $inst_limited_access_msg ?></a>
		<a name="toclimitedaccess">&nbsp;</a></li>
	</ul>

	<!-- SQL admin -->
	<b><u><?php echo $inst_superadmin_header ?></u></b>
	<ul>
		<li><a href="#sqladminname"><?php echo $inst_superadmin_name ?></a>
		<a name="tocsqladminname">&nbsp;</a></li>

		<li><a href="#sqladminpass"><?php echo $inst_superadmin_pass ?></a>
		<a name="tocsqladminpass">&nbsp;</a></li>
	</ul>

	<!-- LinPHA admin -->
	<b><u><?php echo $inst_admin_header ?></u></b>
	<ul>
		<li><a href="#linphaname"><?php echo $inst_admin_name ?></a>
		<a name="toclinphaname">&nbsp;</a></li>

		<li><a href="#linphapass"><?php echo $inst_admin_pass ?></a>
		<a name="toclinphapass">&nbsp;</a></li>

		<li><a href="#linphamail"><?php echo $inst_admin_email ?></a>
		<a name="toclinphamail">&nbsp;</a></li>
	</ul>

	<!-- LinPHA db connection -->
	<b><u><?php echo $inst_db_header ?></u></b>
	<ul>
		<li><a href="#dbhost"><?php echo $inst_db_host ?></a>
		<a name="tocdbhost">&nbsp;</a></li>

		<li><a href="#dbport"><?php echo $inst_db_host_port ?></a>
		<a name="tocdbport">&nbsp;</a></li>

		<li><a href="#dbname_full"><?php echo $inst_db_name ?></a>
		<a name="tocdbname_full">&nbsp;</a></li>

		<li><a href="#dbname"><?php echo $inst_db_name2 ?></a>
		<a name="tocdbname">&nbsp;</a></li>

		<li><a href="#dbprefix"><?php echo $inst_table_prefix ?></a>
		<a name="tocdbprefix">&nbsp;</a></li>
	</ul>
</ul>

<!-- LinPHA administration help -->
	<b><u><h2><?php echo $admin_page_header ?></h2></u></b>
	<b><u><?php echo $href_general_conf ?></u></b>
	<ul>
		<li><a href="#albumtitle"><?php echo $general_album_title ?></a>
		<a name="tocalbumtitle">&nbsp;</a></li>

		<li><a href="#photoscol"><?php echo $general_photos_col ?></a>
		<a name="tocphotoscol">&nbsp;</a></li>

		<li><a href="#photosrow"><?php echo $general_photos_row ?></a>
		<a name="tocphotosrow">&nbsp;</a></li>

		<li><a href="#photoswidth"><?php echo $general_photos_width ?></a>
		<a name="tocphotoswidth">&nbsp;</a></li>

		<li><a href="#photosheight"><?php echo $general_photos_height ?></a>
		<a name="tocphotosheight">&nbsp;</a></li>

		<li><a href="#imgquality"><?php echo $general_img_quality ?></a>
		<a name="tocimgquality">&nbsp;</a></li>

		<li><a href="#rotateonoff"><?php echo  $general_rotate ?></a>
		<a name="tocrotateonoff">&nbsp;</a></li>

		<li><a href="#exifonoff"><?php echo  $general_exifinfo ?></a>
		<a name="tocexifonoff">&nbsp;</a></li>

		<li><a href="#exifdefault"><?php echo  $general_exifdefault ?></a>
		<a name="tocexifdefault">&nbsp;</a></li>

		<li><a href="#exivlevel"><?php echo $general_exiflevel ?></a>
		<a name="tocexivlevel">&nbsp;</a></li>

		<li><a href="#filename"><?php echo $general_filename ?></a>
		<a name="tocfilename">&nbsp;</a></li>

		<li><a href="#thumborder"><?php echo $general_thumb_order ?></a>
		<a name="tocthumborder">&nbsp;</a></li>

		<li><a href="#autoconf"><?php echo $general_autoconf ?></a>
		<a name="tocautoconf">&nbsp;</a></li>

		<li><a href="#counter"><?php echo $general_counterstat ?></a>
		<a name="toccounter">&nbsp;</a></li>

		<li><a href="#ipblocking"><?php echo $general_blocking ?></a>
		<a name="tocipblocking">&nbsp;</a></li>

		<li><a href="#language"><?php echo $default_language ?></a>
		<a name="toclanguage">&nbsp;</a></li>

		<li><a href="#autolanguage"><?php echo $general_auto_lang ?></a>
		<a name="tocautolanguage">&nbsp;</a></li>

		<li><a href="#theme"><?php echo $general_theme ?></a>
		<a name="toctheme">&nbsp;</a></li>

		<li><a href="#hqthumbs"><?php echo $general_hq ?></a>
		<a name="tochqthumbs">&nbsp;</a></li>

		<li><a href="#printing"><?php echo $general_printing ?></a>
		<a name="tocprinting">&nbsp;</a></li>

		<li><a href="#slideshow"><?php echo $general_slideshow ?></a>
		<a name="tocslideshow">&nbsp;</a></li>

		<li><a href="#miniprev"><?php echo $general_mini_preview ?></a>
		<a name="tocminiprev">&nbsp;</a></li>
	</ul>

<!-- User management starts here -->
	<b><u><?php echo $href_user_conf ?></u></b>
	<ul>
		<li><a href="#usermod"><?php echo $mod_user_header ?></a>
		<a name="tocusermod">&nbsp;</a></li>

		<li><a href="#usernew"><?php echo $new_user_header?></a>
		<a name="tocusernew">&nbsp;</a></li>
	</ul>

<!-- Folder management starts here -->
	<b><u><?php echo $href_folder_conf ?></u></b>
	<ul>
		<li><a href="#folderperms"><?php echo $set_dir_perms_header ?></a>
		<a name="tocfolderperms">&nbsp;</a></li>
		</ul>

<!-- Other options start here -->
	<b><u><?php echo $href_other_conf ?></u></b>
	<ul>
		<li><a href="#createthumbs"><?php echo $th_msg ?></a>
		<a name="toccreatethumbs">&nbsp;</a></li>

		<li><a href="#recreatethumbs"><?php echo $recreate_thumbs_header ?></a>
		<a name="tocrecreatethumbs">&nbsp;</a></li>

		<li><a href="#catnew"><?php echo $new_cat_header ?></a>
		<a name="toccatnew">&nbsp;</a></li>

		<li><a href="#catmod"><?php echo $mod_cat_header ?></a>
		<a name="toccatmod">&nbsp;</a></li>
		</ul>

<!-- Miscellaneous help entries -->
	<b><u><?php echo $misc_help ?></u></b>
	<ul>
		<li><a href="#imgrotate"><?php echo $img_rotating ?></a>
		<a name="tocimgrotate">&nbsp;</a></li>

		<li><a href="#printprobs"><?php echo $printing_probs ?></a>
		<a name="tocprintprobs">&nbsp;</a></li>
	</ul>

</div>
</blockquote>
