<?php

function get_http_accept_lang($http_accept_language) {
  /* Accept-Language Header detail, see RFC2616 */
  $knownlangs = array( "dk" => "Danish",
		       "nl" 	=> "Dutch",
		       "en" 	=> "English",
		       "de"		=> "German",
		       "ja" 	=> "Japanese",
			   "it" 	=> "Italian",
			   "es" 	=> "Spanish",
			   "co"		=> "Spanish",
			   "fr"		=> "French",
			   "no"		=> "Norwegian",
			   "pt"		=> "BrazilianPortuguese",
			   "br"		=> "BrazilianPortuguese",
			   "zh"		=> "zh-tw",
			   "tw"		=> "zh-tw" );

  $accept_lang = 'English';
  $lastquality = 0.0;

  $langtag = '((?:[a-zA-Z]{1,8})(?:-[a-zA-Z]{1,8})*)';
  $qvalue ='(0(?:\.[0-9]{1,3})?|1(?:\.0{1,3}))';
  $eachbit = '^' . $langtag . '(?:;q=' . $qvalue . ')?(?:,\s*)?(.*)$';

  while (strlen($http_accept_language)) {
    if (preg_match( "/$eachbit/", $http_accept_language, $m)) {
      $tag = $m[1];
      $quality = $m[2];
      if (strlen($quality) == 0) $quality = 1;
      $http_accept_language = $m[3];

      if (array_key_exists($tag, $knownlangs) and $quality > $lastquality) {
	$accept_lang = $knownlangs[$tag];
	$lastquality = $quality;
      }
    } else {
      break;
    }
  }
  return $accept_lang;
}

$http_accept_lang = get_http_accept_lang(trim($HTTP_SERVER_VARS["HTTP_ACCEPT_LANGUAGE"]));

if ($_GET['language']) {
	$lang=$_GET['language'];
} else if ($_POST['language']) {
	$lang=$_POST['language'];
} else if ($http_accept_lang) {
  $lang = $http_accept_lang;
} else {
	$lang="English";
}

include("../lang/lang.$lang.php");
include("install_header.php");

print ("<tr bgcolor='#CCCCCC'>");
print ("<td valign='top' background='../graphics/menu_backg.gif'><div align='center'><b>$inst_msg</b></div>");
print ("<div align='left'><ul class='without'>");

	print ("<li>$inst_status_1</li>
			<li>$inst_status_step1</li>
    		</ul></div></td>");

	print ("<td height='100%' colspan='3'>");
	print ("<blockquote><p><font face='Verdana, Arial, Helvetica, sans-serif' size='4' color='#000000'>");
	print ("<b><u>$welc_header</u></b></font>
			<font face='Verdana, Arial, Helvetica, sans-serif' size='2' color='#000000'><br>");
	print ("$welc_text<br>");

	/* test for sql (777) */
	$decperms = fileperms("../sql/");
	$octalperms = sprintf("%o",$decperms);
	$perms=(substr($octalperms,1));

	if($perms!="0777")
	{
		print("<font color='red'><b><br>$welc_hint<br>$welc_hint1<br></b></font>");
	}
	print("</font></p>");

	/* language stuff */
	print("<br>Select language:");
	print("<form method=GET action=sec_stage_install.php>");
	print("<select name=language size=\"1\" onChange=\"jumpToURL('install.php', this.form)\">");

	$file_handle = opendir("../lang/");
	$file = readdir($file_handle);
	while($file != false)
	{
		$explode = explode(".",$file);
		if($explode[0] == "lang")
		{
			if($_GET['language']==$explode[1]){
				print("<option value='$explode[1]' selected>$explode[1]</option>");
			}
			else {
				print("<option value='$explode[1]'>$explode[1]</option>");
			}
		}
		$file = readdir($file_handle);
	}
	print("</select>");
	
print("<p>");
	print("<input type=submit value=$next_button>");
	print("<input type=hidden name='whatlang' value='1'>");
	print("<input type=hidden name='page' value='check'>");
	print("</p>");
	print("</form>");
	closedir($file_handle);

print ("<br>bzrudi71</blockquote></td></tr>");

include("../styles/aqua_footer.php");

?>
