<?php
/*###############################################
## This file is the fallback for "read_php_exif.php" which is used if your PHP
## version is compiled to support EXIF data and PHP version is >4.2.0
##
## This file makes use of the exifer class written by Jake Olefsky...
## Thanks alot!
###############################################*/

include("plugins/exifer/exif.php");

/* get the info */
$exif_data=read_exif_data_raw("$prev_path/$filename",0);

print("<div align='left'>");
print("<table cellpadding='0' cellspacing='1' align='center'>");

if($exif)
{
	print("<hr>");
	/* OK, now get everything from array */
	foreach($exif_data AS $main_data)
	{
		if(is_array($main_data))
		{
			while(list($key,$value)=each($main_data))
			{
			$line_str="<tr><td><font size='-2'><b>$key</b></font></td>
							<td><font size='-2'>$value</font></td><tr>";

			/* get out some wanted!! values */

			/* level >=low */
			if($exif_level=="low" || $exif_level=="medium" || $exif_level=="high")
			{
				switch($key)
				{
					case "DateTimeOriginal": print("$line_str"); break;
					/* set valid_exif=true as it seems we found some EXIF infos */
					case "Make": $valid_exif=true; break;

				}
			}

			/* level >=medium */
			if($exif_level=="medium" || $exif_level=="high")
			{
				switch($key)
				{
					case "CameraMake": print("$line_str"); break;
					case "Make": print("$line_str"); break;
					case "CameraModel": print("$line_str"); break;
					case "Model": print("$line_str"); break;
					case "ExifImageWidth": print("$line_str"); break;
					case "ExifImageHeigth": print("$line_str"); break;
					case "ExifImageLength": print("$line_str"); break;
				}
			}

			/* level == high */
			if($exif_level=="high")
			{
				switch($key)
				{
					case "Orientation": print("$line_str"); break;
					case "ExposureTime": print("$line_str"); break;
					case "ShutterSpeedValue": print("$line_str"); break;
					case "ISOSpeed": print("$line_str"); break;
					case "ISOSpeedRatings": print("$line_str"); break;
					case "Flash": print("$line_str"); break;
					case "FlashUsed": print("$line_str"); break;
					case "ApertureValue": print("$line_str"); break;
					case "35mmFocalLength": print("$line_str"); break;
					case "FocalLength": print("$line_str"); break;
					case "Software": print("$line_str"); break;
					case "Compression": print("$line_str"); break;
				}
			}
		}	// while
		}	// if
	}		// foreach


} 			// main if
print("</table></div>");

/* print warning if images does not contain EXIF information */
if(!$valid_exif && $exif): print("$exif_error");endif;

if($exif && !$exif_default)
{
	print("<br><a href='img_view.php?$url_link&exif=0&$append'>
			<b><u><font color='#000099'>$exif_less</font></u></b></a>");
}
elseif(!$exif_default)
{
	print("<font size='-2'><b>$img_size</b>: $org_width x $org_height</font>");
	print("<br><font size='-2'><b>$img_name</b>: {$filename}</font>");
	print("<br><a href='img_view.php?$url_link&exif=1'>
			<b><u><font color='#000099'>$exif_more</font></u></b></a>");
}
print("<hr>");
unset($valid_exif);
?>
