<?php
/* TODO: error tracking */
error_reporting(1);
include_once("../sql/db_connect.php");
include_once("../sql/db_api.php");

/* write changes to config (basic options)*/
if(!$_GET['advanced'])
{
update_config($_GET["num_columns"], photos_col);
update_config($_GET["num_rows"], photos_row);
update_config($_GET["width"], photo_width);
update_config($_GET["height"], photo_height);
update_config($_GET["img_quality"], img_quality);
update_config($_GET["language"], lang);
update_config($_GET["theme_style"], style);
update_config($_GET["photo_archive_title"], photo_archive_title);

/* take care of radio button (autocreate thumbnails on/off)*/
switch($_GET['autoconf_on_off'])
{
	case 1:
		$autoconf=1;
		break;
	case 0:
		$autoconf=0;
		break;
}
update_config($autoconf, autoconf);

/* TODO remove as of 0.9.0 */
/* take care of radio button (thumbnails order)*/
switch($_GET['thumb_order'])
{
	case "date":
		$order="date";
		break;
	case "file":
		$order="file";
		break;
}
update_config($order, sort_thumbs);
}else
{
/* write changes to config (advanced options)*/

if(!empty($_GET['exif_level'])): update_config($_GET["exif_level"], exif_level);endif;

update_config($_GET["block_time"], ip_blocking);

/* take care of radio button (ALL exif info on/off)*/
switch($_GET['exifinfo_on_off'])
{
	case 1:
		$exifinfo=1;
		break;
	case 0:
		$exifinfo=0;
		break;
}
update_config($exifinfo, exifinfo);

/* take care of radio button (exif info on/off by DEFAULT)*/
switch($_GET['exif_def_on_off'])
{
	case "on":
		$exif_default=1;
		break;
	case "off":
		$exif_default=0;
		break;
}
if(strlen($exif_default)>0):update_config($exif_default, exif_default);endif;

/* take care of radio button (filename on/off)*/
switch($_GET['filename_on_off'])
{
	case 1:
		$filenames=1;
		break;
	case 0:
		$filenames=0;
		break;
}
update_config($filenames, filenames);

/* take care of radio button (counter on/off)*/
switch($_GET['counterstat_on_off'])
{
	case 1:
		$counterstat=1;
		break;
	case 0:
		$counterstat=0;
		break;
}
update_config($counterstat, counterstat);

/* take care of radio button (counter on/off)*/
switch($_GET['quality_high_low'])
{
	case 1:
		$thumb_quality=1;
		break;
	case 0:
		$thumb_quality=0;
		break;
}
update_config($thumb_quality, thumb_quality);

/* take care of radio button (auto language on/off)*/
switch($_GET['autolang_on_off'])
{
	case 1:
		$autolang=1;
		break;
	case 0:
		$autolang=0;
		break;
}
update_config($autolang, autolang);

/* take care of radio button (printing on/off)*/
switch($_GET['printing_on_off'])
{
	case 1:
		$printing=1;
		break;
	case 0:
		$printing=0;
		break;
}
update_config($printing, printing);

/* take care of radio button (slideshow on/off)*/
switch($_GET['slide_on_off'])
{
	case 1:
		$slideshow=1;
		break;
	case 0:
		$slideshow=0;
		break;
}
update_config($slideshow, slideshow);


/* take care of radio button (mini_preview on/off)*/
switch($_GET['mini_on_off'])
{
	case 1:
		$mini_preview=1;
		break;
	case 0:
		$mini_preview=0;
		break;
}
update_config($mini_preview, mini_preview);


/* take care of radio button (mini_preview on/off)*/
switch($_GET['rotation_on_off'])
{
	case 1:
		$img_rotation=1;
		break;
	case 0:
		$img_rotation=0;
		break;
}
update_config($img_rotation, img_rotation);
}

/* redirect to admin.php */
header ("Location: ../admin.php?general=true&page=general&advanced=$_GET[advanced]");
?>
