<?php include_once("toc.php"); ?>

<!-- Translators start HERE !!! -->
<!-- LinPHA installation help -->
<!-- translation by dokmaster mailto: webmaster@inpha.org -->
<b><u><h2><?php echo $inst_msg ?></h2></u></b>

<!-- DB acces type (full)-->
	<p><br>
	<b><?php echo $inst_full_access_msg ?>&nbsp; </b>
	<a href="#tocfullaccess" name="fullaccess">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Whlen Sie diese Option wenn Sie LinPHA auf Ihrem <b>Heim-PC</b>, oder auf einem so 
		genannten "root-server" im Internet, installieren wollen. Sie bentigen dazu volle 
		Zugriffsrechte auf einen MySQL-Datenbankserver um einen neuen LinPHA Benutzter anzulegen.
	</div></blockquote>

<!-- DB acces type (limited)-->
	<p><br>
	<b><?php echo $inst_limited_access_msg ?>&nbsp; </b>
	<a href="#toclimitedaccess" name="limitedaccess">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Wenn Sie LinPHA irgendwo im <b>Internet</b> installieren wollen mssen Sie diese Option whlen, da
		die meisten ISP keinen Vollzugriff auf die MySQL-Datenbank erlauben.
	</div></blockquote>

<!-- SQL admin name -->
	<p><br>
	<b><?php echo $inst_superadmin_name ?>&nbsp; </b>
	<a href="#tocsqladminname" name="sqladminname">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Name des MySQL Administrators. Meistens "root" genannt.
	</div></blockquote>

<!-- SQL admin pass -->
	<p><br>
	<b><?php echo $inst_superadmin_pass ?>&nbsp; </b>
	<a href="#tocsqladminpass" name="sqladminpass">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Das Administrator Passwort fr die MySQL-Datenbank. <b>WICHTIG:</b> 
		Aus Sicherheitsgrnden kann LinPHA nicht auf einem System ohne Passwort installiert werden.
		Stellen Sie sicher das Sie einen Administratorzuganng und ein Passwort besitzen. 
	</div></blockquote>

<!-- LinPHA admin name -->
	<p><br>
	<b><?php echo $inst_admin_name ?>&nbsp; </b>
	<a href="#toclinphaname" name="linphaname">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Name des LinPHA Administrators. Sie knnen sich spter mit diesem Namen anmelden und
		LinPHA damit administrieren.
	</div></blockquote>

<!-- LinPHA admin pass -->
	<p><br>
	<b><?php echo $inst_admin_pass ?>&nbsp; </b>
	<a href="#toclinphapass" name="linphapass">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Das Passwort fr den LinPHA Administrator.
	</div></blockquote>

<!-- LinPHA admin email -->
	<p><br>
	<b><?php echo $inst_admin_email ?>&nbsp; </b>
	<a href="#toclinphamail" name="linphamail">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Email Adresse des LinPHA Administrators. (wird noch nicht genutzt)
	</div></blockquote>

<!-- LinPHA db connection hostname -->
	<p><br>
	<b><?php echo $inst_db_host ?>&nbsp; </b>
	<a href="#tocdbhost" name="dbhost">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Hostname des MySQL-Datenbank-Servers. Fr den Heim-PS ist das meist "localhost", fr den
		Server im Internet ist es meist der Name des ISP, z.B. "mysql.irgendwo.org".
	</div></blockquote>

<!-- LinPHA db connection port -->
	<p><br>
	<b><?php echo $inst_db_host_port ?>&nbsp; </b>
	<a href="#tocdbport" name="dbport">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		MySQL-Server-Port. Meistens wird der Standard verwendet: 3306.
	</div></blockquote>

<!-- LinPHA db name (full) -->
	<p><br>
	<b><?php echo $inst_db_name ?>&nbsp; </b>
	<a href="#tocdbname_full" name="dbname_full">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Name der Datenbank in der die LinPHA Tabellen abgespeichert werden. Wenn Sie unsicher sind 
		lassen Sie den Standard "linpha" stehen. Wenn Sie meherer Versionen von LinPHA installieren
		wollen, dann ndern Sie hier den Namen.
	</div></blockquote>

<!-- LinPHA db name (limited) -->
	<p><br>
	<b><?php echo $inst_db_name2 ?>&nbsp; </b>
	<a href="#tocdbname" name="dbname">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Name der Datenbank mit der die Verbindung aufgebaut werden soll. Der Name wird Ihnen von Ihrem
		<b>ISP</b> gegeben. 
	</div></blockquote>

<!-- LinPHA db prefix (limited) -->
	<p><br>
	<b><?php echo $inst_table_prefix ?>&nbsp; </b>
	<a href="#tocdprefix" name="dbprefix">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Das Prefix fr alle LinPHA Tabellen. Alle Tabellen in der Datenbank haben das Prefix <b>"linpha_"</b>.
		Wenn Sie ein anderes Prefix mchten, knnen Sie es hier einfach ndern.
	</div></blockquote>

<!-- LinPHA administration help -->
<b><u><h2><?php echo $href_general_conf ?></h2></u></b>
<!-- GENERAL CONFIG -->

<!-- album title TODO -->
<p><br>
	<b><?php echo $general_admin_title ?>&nbsp; </b>
	<a href="#tocalbumtitle" name="albumtitle">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to set the name of the LinPHA photo album.
		Leave the option blank to use the default name.<br>
		Default: blank (The Linux Photo Archive)
	</div></blockquote>

<!-- number of columns -->
	<p><br>
	<b><?php echo $general_photos_col ?>&nbsp; </b>
	<a href="#tocphotoscol" name="photoscol">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Diese Option erlaubt es Ihnen die <b>Anzahl der Spalten</b>, die fr die Darstellung der Vorschaubilder
		verwendet werden sollen, anzupassen. Diese Einstellung gilt fr <b>alle</b> Seiten auf denen
		Vorschaubilder dargestellt werden.<br>
		Wenn Sie LinPHA mit eine Auflsung > 1024*768 betreiben erhhen Sie die Anzahl der Spalten.<br>
		Standard: 4 Spalten
	</div></blockquote>

<!-- number of rows -->
	<p><br>
	<b><?php echo $general_photos_row ?>&nbsp; </b>
	<a href="#tocphotosrow" name="photosrow">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Diese Option erlaubt es Ihnen die <b>Anzahl der Reihen</b>, die fr die Darstellung der Vorschaubilder
		verwendet werden sollen, anzupassen. Diese Einstellung gilt fr <b>alle</b>
		Seiten auf denen Vorschaubilder dargestellt werden.<br>
		Wenn Sie LinPHA mit eine Auflsung > 1024*768 betreiben erhhen Sie die Anzahl der Reihen.<br>
		Standard: 3 Reihen
	</div></blockquote>

<!-- photos width -->
	<p><br>
	<b><?php echo $general_photos_width ?>&nbsp; </b>
	<a href="#tocphotoswidth" name="photoswidth">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Diese Option erlaubt es Ihnen die Breite der Photos in der img_view.php festzulegen. Diese Angabe gilt
		wenn Sie ein Vorschaubild ffnen.<br> 
		Wenn Sie LinPHA mit eine Auflsung > 1024*768 betreiben erhhen Sie die Darstellungbreite.<br>
		Standard: 512
	</div></blockquote>

<!-- photos height -->
	<p><br>
	<b><?php echo $general_photos_height ?>&nbsp; </b>
	<a href="#tocphotosheight" name="photosheight">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Diese Option erlaubt es Ihnen die Hhe der Photos in der img_view.php festzulegen. Diese Angabe gilt
		wenn Sie ein Vorschaubild ffnen.<br>
		Wenn Sie LinPHA mit eine Auflsung > 1024*768 betreiben erhhen Sie die Darstellunghhe.<br>
		Standard: 384
	</div></blockquote>

	<!-- image quality setting TODO-->
	<p><br>
	<b><?php echo $general_img_quality ?>&nbsp; </b>
	<a href="#tocimgquality" name="imgquality">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to set the default <b>quality of images</b> in img_view.php.
		(the image that appears after you click a thumbnail). You may increase loading speed
		due set to a lower value. Examples:<br>
		Image size (quality 75) = 28.55 KB<br>
		Image size (quality 50) = 18.47 KB<br>
		Image size (quality 40) = 15.80 KB<br>
		Note: This option only takes effect if you installed convert. GD lib is NOT supported!!<br>
		Default: 75
	</div></blockquote>

<!-- image rotating on/off TODO-->
	<p><br>
	<b><?php echo $general_rotate ?>&nbsp; </b>
	<a href="#tocrotateonoff" name="rotateonoff">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to enable/disable the image rotation feature in img_view.php
		PLEASE NOTE:<br>
		If you are using the GD library please note that <b><font color="FF0000">ALL OF THE IMAGE EXIF INFORMATION
		WILL GET LOST !!!</font></b> during image rotation.<br>I already wrote a bug report to the PHP developers but they
		told me that they will NOT fix this bug! :-(<br><br>
		If you are using the convert tool from the ImageMagick suite you should be save but please make sure
		to test it!<br>
		Default: off
	</div></blockquote>

<!-- exifinfo on/off TODO -->
	<p><br>
	<b><?php echo $general_exifinfo ?>&nbsp; </b>
	<a href="#tocexifonoff" name="exifonoff">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Many images in jpg format contain some special information known as EXIF.
		This option allows you to enable/disable the display of EXIF information in img_view.php.
		(the site that appears after you click a thumbnail) If there is no good reason
		you should leave the default (on).<br>
		HINT: If enabled you should also see:<br>
		<a href='#exifdefault'>EXIF default settings</a><br>
		<a href='#exiflevel'>EXIF verbosity level settings</a>
	</div></blockquote>

<!-- exifinfo by default TODO -->
	<p><br>
	<b><?php echo $general_exifdefault ?>&nbsp; </b>
	<a href="#tocexifdefault" name="exifdefault">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		This option allows you to display the image EXIF information in img_view.php
		(the site that appears after you click a thumbnail) by default.
		Otherwise users have to click the <b>"more details"</b> link to get the EXIF information.<br>
		Default: off
	</div></blockquote>

<!-- level of exif info -->
	<p><br>
	<b><?php echo $general_exiflevel ?>&nbsp; </b>
	<a href="#tocexiflevel" name="exiflevel">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
	Die Menge der EXIF Informationen ist <b>dreistuffig</b> einstellbar (niedrig/mittel/hoch). 
	Je hher die Stufe, desto hher die Anzahl der angezeigten EXIF Informationen.<br>
	Standard: mittel
	</div></blockquote>

<!-- filenames on/off -->
	<p><br>
	<b><?php echo $general_filename ?>&nbsp; </b>
	<a href="#tocfilename" name="filename">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Diese Option gibt an ob der Dateiname unter dem Vorschaubild angezeigt wird oder nicht.<br>
		Standard: An
	</div></blockquote>

<!-- thumbnail order -->
	<p><br>
	<b><?php echo $general_thumb_order ?>&nbsp; </b>
	<a href="#tocthumborder" name="thumborder">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Diese Option legt die Sortierung fest. Sie knnen zwischen 
		<b>"sortieren nach Datum"</b> (das neueste Photo zu erst) und <b>"sortieren nach Dateiname"</b> whlen.<br>
		Default: Datum
	</div></blockquote>

<!-- autocreate thumbnails -->
	<p><br>
	<b><?php echo $general_autoconf ?>&nbsp; </b>
	<a href="#tocautoconf" name="autoconf">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Wenn diese Option aktiviert ist, erkennt LinPHA alle nderungen in den Alben automatisch. Das bedeutet
		dass LinPHA automatisch die Vorschaubilder fr neu hinzugefgte Photos erstellt und gelschte Photos/Alben aus 
		der Datenbank entfernt.<br>
		Da diese Option eine sehr hohe CPU Auslastung verursacht, sollten Sie diese Option ausschalten und nur
		bei Bedarf aktivieren. Es ist besser die Funktion "Erstelle alle Vorschaubilder in einem Durchgang" 
		<a href='#createthumbs'>(INFO)</a> zu nutzen!<br>
		Standard: Aus
	</div></blockquote>

<!-- user counter -->
	<p><br>
	<b><?php echo $general_counterstat ?>&nbsp; </b>
	<a href="#toccounter" name="counter">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Mit dieser Option legen Sie fest ob der Benutzterzhler rechts oben angezeigt wird oder nicht.<br>
		Standard: An
	</div></blockquote>

<!-- ip block time -->
	<p><br>
	<b><?php echo $general_blocking ?>&nbsp; </b>
	<a href="#tocipblocking" name="ipblocking">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Mit dieser Option legen Sie fest wie lang eine IP-Adresse <b>gesperrt wird</b>. Erst nach Ablauf 
		dieser Zeit wird der Besucher wieder als neuer besucher gezhlt.
		Standard: 15 Minuten
	</div></blockquote>

<!-- language select-->
	<p><br>
	<b><?php echo $default_language ?>&nbsp; </b>
	<a href="#toclanguage" name="language">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Legt die standard Sprache von LinPHA fest. Es erfolgt eine berprfung des Browsers welche Landessprache
		verwendet werden soll. Sollte keine passende Sprache bei LinPHA vorhanden sein wird die hier eingestellte
		standard Sprache verwendet.<br>
		Standard: Englisch
	</div></blockquote>

<!-- theme select-->
	<p><br>
	<b><?php echo $general_theme ?>&nbsp; </b>
	<a href="#toctheme" name="theme">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Mit dieser Option legen Sie das standard Aussehen von LinPHA fest. Sie haben dabei die Wahl
		zwischen Aqua, Colored, Forest und Shadow.<br>
		Standard: Aqua
	</div></blockquote>

<!-- hq thumbs on/off -->
	<p><br>
	<b><?php echo $general_hq ?>&nbsp; </b>
	<a href="#tochqthumbs" name="hqthumbs">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Mit dieser Option erstellen Sie, mit der GD-Bibliothek, Vorschaubilder in sehr hoher Qualitt.
		Diese Vorschaubilder sehen besser aus, verursachen aber eine <b>sehr hohe CPU Auslastung!!</b><br>
		Standard: Aus
	</div></blockquote>

<!-- guest printing on/off -->
	<p><br>
	<b><?php echo $general_printing ?>&nbsp; </b>
	<a href="#tocprinting" name="printing">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Mit dieser Option erlauben Sie es Gsten die LinPHA Druckfunktion zu nutzen.
		Wenn Sie diese Option einschalten kann jeder drucken (d.h. der Link und das Icon "Druckmodus"
		sind verfgbar). Wenn diese Option ausgeschaltet ist mssen sich die Benutzer erst anmelden um
		die Druckfunktion nutzen zu knnen.<br>
		Standard: aus
	</div></blockquote>

	<!-- slideshow on/off -->
	<p><br>
	<b><?php echo $general_slideshow ?>&nbsp; </b>
	<a href="#tocslideshow" name="slideshow">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Diese Option schaltet die Diashow an oder aus. Wenn Ihr Server eine CPU < 300 MHz oder Ihre 
		Internetanbindung nur ber eine geringe Bandbreite verfgt sollten Sie diese Option ausschalten.<br>
		Standard: an
	</div></blockquote>

<!-- image mini preview  on/off -->
	<p><br>
	<b><?php echo $general_mini_preview ?>&nbsp; </b>
	<a href="#tocminiprev" name="miniprev">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Mit dieser Option schalten Sie die Verwendung des vorherigen/folgenden Fotos als Ersatz fr die
		Navigationspfeile, in der img_view.php, an oder aus. 
		Wenn Sie viele Besucher mit einer geringen Bandbreite haben, sollten Sie diese Feature ausschalten
		da es im Vergleich zu den Pfeilen ca. 7kb grsser ist.<br>
		Standard: an
	</div></blockquote>


<!-- USER MANAGEMENT -->
	<b><u><h2><?php echo $href_user_conf ?></h2></u></b>

<!-- modify user-->
	<p><br>
	<b><?php echo $mod_user_header ?>&nbsp; </b>
	<a href="#tocusermod" name="usermod">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Mit dieser Option ndern Sie Beutzernamen, Passwrter, EMail und Benutzerlevel. Auerdem knnen
		Sie hierber auch Benutzer lschen. Userlevel info is <a href='#usernew'>here</a>.
	</div></blockquote>

<!-- new user-->
	<p><br>
	<b><?php echo $new_user_header ?>&nbsp; </b>
	<a href="#tocusernew" name="usernew">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		In diesem Formular knnen Sie neue Benutzer anlegen und ihnen ein Passwort, eine EMail-Adresse und einen
		Benutzerlevel festlegen.<br>
		Mit den Benutzerlevel knnen Sie Privilegien (Freund/Admin) vergeben. <b>Achtung!</b>
		Wenn Sie einem Benutzer den Level "Admin" zuweisen hat dieser die <b>gleichen</b> Rechte wie Sie!<br>
	</div></blockquote>

<!-- FOLDER/ALBUMS MANAGEMENT -->
	<b><u><h2><?php echo $href_folder_conf ?></h2></u></b>

<!-- folder permissions-->
	<p><br>
	<b><?php echo $set_dir_perms_header ?>&nbsp; </b>
	<a href="#tocfolderperms" name="folderperms">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Diese Option erlaubt es Ihnen die Alben nur fr bestimmte Personen freizugeben. Dazu gibt es 3 Stufen:<br>
		<b>ALLE:</b> Fr alle sichtbar. Keine Anmeldung erforderlich.<br>
		<b>FREUNDE:</b> Nur fr angemedete Benutzer sichtbar.<br>
		<b>PRIVAT:</b> Nur fr den Admin sichtbar (nicht fr Freunde).
	</div></blockquote>

<!-- OTHER OPTIONS -->
	<b><u><h2><?php echo $href_other_conf ?></h2></u></b>

<!-- create all thumbs at once -->
	<p><br>
	<b><?php echo $th_msg ?>&nbsp; </b>
	<a href="#toccreatethumbs" name="createthumbs">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Hiermit knnen Sie alle Vorschaubilder, <b>ohne einzugreifen</b>, erstellen und lschen. 
		Abhngig von der Anzahl der hinzugefgten Photos kann dieser Vorgang <b>einige Zeit</b> in Anspruch nehmen!<br>
		Anders als <a href='#autoconf'>Automatisches erstellen/lschen der Vorschaubilder</a>, erstellt dieses Script ALLE Thumbnails in ALLEN Orner
		auf einmal this script creates.
	</div></blockquote>

<!-- recreate all thumbs at once -->
	<p><br>
	<b><?php echo $recreate_thumbs_header ?>&nbsp; </b>
	<a href="#tocrecreatethumbs" name="recreatethumbs">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Mit dieser Option knnen Sie alle Vorschaubilder <b>automatisch</b> neu erstellen.
		Anders als <a href='#createthumbs'>Erstelle alle Vorschaubilder in einem Durchgang!</a> 
		erstellt dieses Skript ALLE Vorschaubilder in ALLEN Verzeichnissen neu UND lscht alle Kommentare,
		Beschreibungen und Statistiken.<br>
	</div></blockquote>

<!-- add new category -->
	<p><br>
	<b><?php echo $new_cat_header  ?>&nbsp; </b>
	<a href="#toccatnew" name="catnew">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		LinPHA erlaubt es Ihnen verschiedene Kategorien anzulegen. Diese Kategorien sind fr die User nicht sichtbar.<br>
		Dadurch ist es mglich <b>Photos zu organisieren</b>, z.B. mit Kategorien wie Urlaub, Auto, Tiere usw.
		Der Vorteil ist, dass Sie die Photos spter ber die Suchseite viel leichter finden knnen, dadurch erhalten Sie eine bessere bersicht.
	</div></blockquote>

<!-- mod  categories -->
	<p><br>
	<b><?php echo $mod_cat_header  ?>&nbsp; </b>
	<a href="#toccatmod" name="catmod">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Hier knnen Sie die Kategorien ndern oder Lschen.
	</div></blockquote>

<!-- MISC OPTIONS TODO!!!-->
	<b><u><h2><?php echo $misc_help ?></h2></u></b>

<!-- problems rotating images -->
	<p><br>
	<b><?php echo $img_rotating ?>&nbsp; </b>
	<a href="#tocimgrotate" name="imgrotate">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		If the LinPHA image rotation feature is disabled please make sure that:<br><br>
		<b>1. You set the right file permissions!</b><br>
		Either you have to change the ownership of the files to the
		one Apache is running at. (maybe nobody/apache/wwwrun...)
		Or do a chmod 666 (UNIX only)...<br>
		<b>2. You check your PHP version!</b><br>
		If you have installed convert from the ImageMagick suite you are save :-)<br>
		If you are using GD lib to create thumbnails, your PHP version MUST be at least
		<b>>=4.3.0</b>. All earlier versions do not support image rotating.
		(see http://your_domain/linpha/config/info.php for the installed PHP version)<br>
		Maybe you have to upgrade, sorry...
	</div></blockquote>

	<!-- problems printing images TODO-->
	<p><br>
	<b><?php echo $printing_probs ?>&nbsp; </b>
	<a href="#tocprintprobs" name="printprobs">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		If the LinPHA printing feature is disabled please make sure that:<br><br>
		1. Your PHP version is at least <b>>=4.3.0</b>. All earlier versions
		do not support image rotating which is required for printing.<br><br>
		2. If you don't like to update your PHP version you should consider to
		install the convert tool from the ImageMagick suite which does not depend
		on the installed PHP version.<br>
		(remember to set "use_convert" = "1" after install in the linpha_config table!!!)</b><br><br>
		3. You can disable this message (for guest visitors) due setting
		"guest printing" off in the admin section. see <a href='#printing'>LinPHA printing</a>
	</div></blockquote>
	</BODY></HTML>
