<?php include_once("toc.php"); ?>

<!-- Translators start HERE !!! -->
<!-- LinPHA installation help -->
<b><u><h2><?php echo $inst_msg ?></h2></u></b>

<!-- DB acces type (full)-->
<p><br>
	<b><?php echo $inst_full_access_msg ?>&nbsp; </b>
	<a href="#tocfullaccess" name="fullaccess">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Si usted va a instalar LinPHA en su <b>PC personal</b> o en un "root-server"
		en internet, esta es la opcin a elegir. Tambin necesitar privilegios de accesso total al
		servidor de bases de datos MySQL para crear un nuevo usuario linpha.
	</div></blockquote>

<!-- DB acces type (limited)-->
<p><br>
	<b><?php echo $inst_limited_access_msg ?>&nbsp; </b>
	<a href="#toclimitedaccess" name="limitedaccess">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Si usted va a instalar LinPHA en algn lugar de <b>internet</b>, esta es la opcin
		a elegir. La mayora de los proovedores internet no permiten acceso total a la base de datos MySQL.
	</div></blockquote>

<!-- SQL admin name -->
<p><br>
	<b><?php echo $inst_superadmin_name ?>&nbsp; </b>
	<a href="#tocsqladminname" name="sqladminname">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		El nombre del administrador de la base de datos MySQL. A menudo se le llama la cuenta "root".
	</div></blockquote>

<!-- SQL admin pass -->
<p><br>
	<b><?php echo $inst_superadmin_pass ?>&nbsp; </b>
	<a href="#tocsqladminpass" name="sqladminpass">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		La contrasea para la cuenta admin/root de MySQL. <b>NOTA:</b> Por razones de seguridad
		LinPHA NO se instalar en sistemas sin contrasea para el usuario admin, as que asegres de tener 
		actualente una ceunta admin/root con contrasea!
	</div></blockquote>

<!-- LinPHA admin name -->
<p><br>
	<b><?php echo $inst_admin_name ?>&nbsp; </b>
	<a href="#toclinphaname" name="linphaname">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		El nombre del administrador LinPHA. Luego podr iniciar sesin con este nombre para realizar
		tareas administrativas en LinPHA.
	</div></blockquote>

<!-- LinPHA admin pass -->
<p><br>
	<b><?php echo $inst_admin_pass ?>&nbsp; </b>
	<a href="#toclinphapass" name="linphapass">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		La contrasea para el administrador LinPHA.
	</div></blockquote>

<!-- LinPHA admin email -->
<p><br>
	<b><?php echo $inst_admin_email ?>&nbsp; </b>
	<a href="#toclinphamail" name="linphamail">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		El correo electrnico del administrador LinPHA. (no se usa todava)
	</div></blockquote>

<!-- LinPHA db connection hostname -->
<p><br>
	<b><?php echo $inst_db_host ?>&nbsp; </b>
	<a href="#tocdbhost" name="dbhost">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		El nombre del servidor de base de datos MySQL. Seguramente sea "localhost" para PCs personales y
		algo como "mysql.somewhere.org" para proveedores de acceso a internet.
	</div></blockquote>

<!-- LinPHA db connection port -->
<p><br>
	<b><?php echo $inst_db_host_port ?>&nbsp; </b>
	<a href="#tocdbport" name="dbport">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		El puerto MySQL en el servidor. En la mayora de los casos el puerto por defecto ser 3306.
	</div></blockquote>

<!-- LinPHA db name (full) -->
<p><br>
	<b><?php echo $inst_db_name ?>&nbsp; </b>
	<a href="#tocdbname_full" name="dbname_full">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		El nombre de la base de datos ue mantendr todas las tablas LinPHA. Si no est seguro use "linpha".<br>
		Si piensa instalar varias versiones o instancias de LinPHA
		cambie el nombre de la base de datos aqu.
	</div></blockquote>

<!-- LinPHA db name (limited) -->
<p><br>
	<b><?php echo $inst_db_name2 ?>&nbsp; </b>
	<a href="#tocdbname" name="dbname">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		El nombre de la base de datos a conectar. Este nombre <b>se lo  especifica a usted</b> su proveedor de acceso a internet.
	
	</div></blockquote>

<!-- LinPHA db prefix (limited) -->
<p><br>
	<b><?php echo $inst_table_prefix ?>&nbsp; </b>
	<a href="#tocdprefix" name="dbprefix">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		El prefijo para todas las tablas LinPHA. Todas las tablas LinPHA tendrn el <b>prefijo "linpha_"</b>
		en su base de datos. Sintase libre de cambiarlo por cualquier cosa que desee.
	</div></blockquote>

<!-- LinPHA administration help -->
<b><u><h2><?php echo $href_general_conf ?></h2></u></b>
<!-- GENERAL CONFIG -->

<!-- album title -->
<p><br>
	<b><?php echo $general_album_title ?>&nbsp; </b>
	<a href="#tocalbumtitle" name="albumtitle">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Esta opcin le permite a usted configurar el nombre del album para LinPHA.
		Deje la opcin en blanco para usar el nombre por defecto.<br>
		Defecto: (The Linux Photo Archive)
	</div></blockquote>

<!-- number of columns -->
<p><br>
	<b><?php echo $general_photos_col ?>&nbsp; </b>
	<a href="#tocphotoscol" name="photoscol">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Esta opcion le permite aumentar o disminuir el <b>numero de columnas</b> con fotos en miniaturas.
		Esta toma efecto en todas las paginas donde las miniaturas sean desplegadas.<br>
		Incremente este valor cuando use LinPHA en alta resolucion > 1024x768.<br>
		Por defecto se usan: 4 columnas.
	</div></blockquote>

<!-- number of rows -->
<p><br>
	<b><?php echo $general_photos_row ?>&nbsp; </b>
	<a href="#tocphotosrow" name="photosrow">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Esta opcion le permite aumentar o disminuir el <b>numero de filas</b> con fotos en miniatura.
		Esta toma efecto en todas las paginas donde las miniaturas sean desplegadas.<br>
		Incremente este valor cuando use LinPHA en alta resolucion > 1024x768.<br>
		Por defecto se usan: 3 filas.
	</div></blockquote>

<!-- photos width -->
	<p><br>
	<b><?php echo $general_photos_width ?>&nbsp; </b>
	<a href="#tocphotoswidth" name="photoswidth">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Esta opcion le permite configurar el <b>ancho de las fotos</b> desplegadas en img_view.php.
		Ejemplo, desplegar una imagen en tamao "medio" cuando una foto en miniatura se haya seleccionado.<br>
		Incremente este valor cuando use LinPHA en alta resolucion > 1024x768.<br>
		Valor por defecto: 512.
	</div></blockquote>

	<!-- photos width -->
	<p><br>
	<b><?php echo $general_photos_height ?>&nbsp; </b>
	<a href="#tocphotosheight" name="photosheight">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Esta opcion le permite configurar el <b>alto de las fotos</b> desplegadas en img_view.php.
		Ejemplo, desplegar una imagen en tamao "medio" cuando una foto en miniatura se haya seleccionado.<br>
		Incremente este valor cuando use LinPHA en alta resolucion > 1024x768.<br>
		Valor por defecto: 384.
	</div></blockquote>

	<!-- image quality setting TODO -->
	<p><br>
	<b><?php echo $general_img_quality ?>&nbsp; </b>
	<a href="#tocimgquality" name="imgquality">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Esta opcin le permite especificar por defecto la <b>Calidad de las imagenes</b> en el archivo img_view.php.
		(La imagen que aparece una vez usted da click sobre una imagen en miniatura )
		usted podria incrementar la rapidez de carga de las imagenes poniendola en un valor inferior. Ejemplos:<br>
		Tamao de imagen (Calidad 75) = 28.55KB<br>
		Tamao de imagen (Calidad 50) = 18.47 KB<br>
		Tamao de imagen (Calidad 40) = 15.80 KB<br>
		Nota: Esta opcin solo toma efecto si usted instalo convert. GD lib no esta soportado!!<br>
		Defecto: 75
	</div></blockquote>

<!-- image rotating on/off TODO-->
	<p><br>
	<b><?php echo $general_rotate ?>&nbsp; </b>
	<a href="#tocrotateonoff" name="rotateonoff">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Esta opcin le permite habilitar/deshabilitar la rotacin de imagenes en el archivo img-view.php
		POR FAVOR LEA:<br>
		Si usted esta usando la libreria GD observe por favor que <b><font color="FF0000">TODA LA INFORMACION DE EXIF EN LA IMAGEN SE PERDERA!!!</font></b> durante la rotacin de la imagen.<br> Yo escribi un reporte de este BUG a los desarrolladores de PHP pero ellos me dijeron que NO parcharan este bug :-(<br><br>
		Si usted esta usando el software "convert" de la suite de ImageMagick podria estar a salvo, pero primero haga la prueba!<br>
		Defecto: off
	</div></blockquote>

<!-- exifinfo on/off TODO -->
	<p><br>
	<b><?php echo $general_exifinfo ?>&nbsp; </b>
	<a href="#tocexifonoff" name="exifonoff">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Muchas imagenes en formato jpg contienen alguna informacin espacial conocida como EXIF.
		Esta opcin le permite a usted habilitar/deshabilitar el despliegue de informacion de EXIF en el archivo img_view.php (El sitio que aparece despues de que usted da click csobre una vista en miniatura) si no hay una buena razon usted deberia dejarla por defecto en (ON)<br>
		AYUDA: si usted habilita tambien ver:<br>
		<a href='#exifdefault'>Configuracin por defecto de EXIF</a><br>
		<a href='#exiflevel'>Nivel de verbosidad de la configuracin de EXIF</a>
	</div></blockquote>

<!-- exifinfo by default TODO -->
	<p><br>
	<b><?php echo $general_exifdefault ?>&nbsp; </b>
	<a href="#tocexifdefault" name="exifdefault">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Esta opcin le permite a usted desplegar la informacin de EXIF de la imagen en img_view.php (el sitio aparece despues de usted dar click sobre una imagen en miniatura) por defecto.
		De otro modo los usuarios tendran que clickear en el enlace <b>"mas detalles"</b> para obetener toda la informacin de EXIF.<br>
		Defecto: off
	</div></blockquote>

<!-- level of exif info -->
	<p><br>
	<b><?php echo $general_exiflevel ?>&nbsp; </b>
	<a href="#tocexiflevel" name="exiflevel">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
	La cantidad de informacin EXIF esta definida en <b>tres niveles</b> (bajo/medio/alto).
	Entre mas alto escoja este nivel, la cantidad de informacin que EXIF despliega es mayor.<br>
	Defecto: medio
	</div></blockquote>

<!-- filenames on/off -->
	<p><br>
	<b><?php echo $general_filename ?>&nbsp; </b>
	<a href="#tocfilename" name="filename">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Esta opcin le permite a su gusto desplegar el nombre del archivo de la imagen o no.<br>
		Defecto: on
	</div></blockquote>

<!-- thumbnail order -->
	<p><br>
	<b><?php echo $general_thumb_order ?>&nbsp; </b>
	<a href="#tocthumborder" name="thumborder">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Esta opcion le permite cambiar el orden en el cual aparecen las imagenes en miniatura.
		Usted puede elegir entre <b>"Ordenar por fecha"</b> (La ultima foto primero) y <b>"Ordenar por nombre de archivo"</b> (decendente).<br>
		Valor por defecto: Ordenar por fecha.
	</div></blockquote>

<!-- autocreate thumbnails -->
	<p><br>
	<b><?php echo $general_autoconf ?>&nbsp; </b>
	<a href="#tocautoconf" name="autoconf">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Si tiene seleccionada esta opcion, LinPHA detecta todos los cambios en sus albumes
		 automaticamente. Esto significa que LinPHA creara las imagenes en miniatura automaticamente para las nuevas imagenes agregadas, y borrara todo de la Base de datos si usted borra una imagen del album.<br>
		Ya que esta tarea requiere mucha carga en la CPU, usted deberia de poner la opcion en OFF y habilitarla solo si usted ha cambiado algo. Es mejor dejar la opcion desactivada y hacer uso de la opcion: "Crear todas las imagenes en miniatura de una vez!".<a href='#createthumbs'>(INFO)</a><br>
		Estado por defecto: off
	</div></blockquote>

<!-- user counter -->
	<p><br>
	<b><?php echo $general_counterstat ?>&nbsp; </b>
	<a href="#toccounter" name="counter">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Esta opcin le permite definir, si quiere mostrar o no el contador de usuarios en la esquina superior derecha.<br>
		Defecto: habilitado
	</div></blockquote>

<!-- ip block time -->
	<p><br>
	<b><?php echo $general_blocking ?>&nbsp; </b>
	<a href="#tocipblocking" name="ipblocking">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Esta opcin le permite definir el tiempo durante el que una direccin ip <b>esta bloqueada</b>. Esto significa que durante esta cantidad de tiempo el usuario no contara como un nuevo visitante.<br>
		Defecto: 15 minutos
	</div></blockquote>

<!-- language select-->
	<p><br>
	<b><?php echo $default_language ?>&nbsp; </b>
	<a href="#toclanguage" name="language">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		El lenguaje por defecto de LinPHA. Si tiene habilitado  \"Autodeteccion del lenguaje\" Este sera el lenguaje a usar por defecto.<br>
	</div></blockquote>

<!-- language auto detection -->
	<p><br>
	<b><?php echo $general_auto_lang ?>&nbsp; </b>
	<a href="#tocautolanguage" name="autolanguage">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Si esta opcin est habilitada, LinPHA dar la bienvenida a los visitantes en su lenguaje nativo (simpre que este sea soportado). 
		Si se detecta un lenguaje no soportado, LinPHA usar el lenguaje por defecto.
		(vea <a href='#language'>lenguaje por defecto</a><br>
		Por defecto: deshabilidato
	</div></blockquote>

<!-- theme select-->
	<p><br>
	<b><?php echo $general_theme ?>&nbsp; </b>
	<a href="#toctheme" name="theme">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Esta opcion le permite cambiar la apariencia de LinPHA por defecto. Escoje entre los <b>tres
		</b> temas disponibles (Aqua/Colored/Shadow)<br>
		Tema por defecto: Aqua
	</div></blockquote>

<!-- hq thumbs on/off -->
	<p><br>
	<b><?php echo $general_hq ?>&nbsp; </b>
	<a href="#tochqthumbs" name="hqthumbs">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Est opcin le permitir crear vistas previas de alta calidad usando la librera GD.
		Se vern mucho mejor pero esto causa una <b>alta carga del procesador</b>.<br>
		No lo habilite si su CPU es mas lento que 1 GHz!!<br>
		Por defecto: Deshabilitado
	</div></blockquote>

<!-- guest printing on/off -->
	<p><br>
	<b><?php echo $general_printing ?>&nbsp; </b>
	<a href="#tocprinting" name="printing">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Esta opcin le permite habilitar la opcin de impresin de LinPHA para los usuarios invitados. 
		Si se habilita todos podrn imprimir (El enlace y el icono "Modos de impresin" estarn visibles).
		Si se deshabilita, los usuarios debern iniciar sesin para imprimir.<br>
		Por defecto: Deshabilitado
	</div></blockquote>

<!-- slideshow on/off -->
	<p><br>
	<b><?php echo $general_slideshow ?>&nbsp; </b>
	<a href="#tocslideshow" name="slideshow">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Esta opcin le permite habilitar/deshabilitar la caracteristica de despliegue automatico de las imagenes. si su servidor tiene un ancho de banda pequeo o su procesador es menor a 300MHz usted debe desahabilitar esta opcin.<br>
		Defecto: on
	</div></blockquote>

<!-- image mini preview  on/off -->
	<p><br>
	<b><?php echo $general_mini_preview ?>&nbsp; </b>
	<a href="#tocminiprev" name="miniprev">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Esta opcin le permite habilitar/deshabilitar el uso de imagenes para los botones de Siguiente/Atras en el archivo img_view.php en vez de un icono en forma de flecha. si usted tiene mas visitantes con ancho de banda bajo, deberia de deshabilitar esta opcin debido a que causa un sobrepeso de 7kb coparado al icono de flecha.<br>
		Defecto: on
	</div></blockquote>


<!-- USER MANAGEMENT -->
	<b><u><h2><?php echo $href_user_conf ?></h2></u></b>

<!-- modify user-->
	<p><br>
	<b><?php echo $mod_user_header ?>&nbsp; </b>
	<a href="#tocusermod" name="usermod">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Cambie nombre de usuarios, claves, correos y niveles de usuario aqui. Usted tambien puede borrar usuarios aqui.
		La informacin de nivel de usuario esta <a href='#usernew'>aqui</a>.
	</div></blockquote>

<!-- new user-->
	<p><br>
	<b><?php echo $new_user_header ?>&nbsp; </b>
	<a href="#tocusernew" name="usernew">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Use este formulario para crear nuevas cuentas de usuario y asignarles a estas claves, direcciones de correos y niveles de usuario.<br>
		El nivel de usuario (amigo/admin) le permite configurar los privilegios. <b>Advertencia!</b> si usted ofrece acceso admin, los usuarios tendran los mismos derechos que USTED!<br>
	</div></blockquote>

<!-- FOLDER/ALBUMS MANAGEMENT -->
	<b><u><h2><?php echo $href_folder_conf ?></h2></u></b>

<!-- folder permissions-->
	<p><br>
	<b><?php echo $set_dir_perms_header ?>&nbsp; </b>
	<a href="#tocfolderperms" name="folderperms">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Esta opcin le permite esconder albumes/carpetas. LinPHA maneja tres estados:<br>
		<b>PUBLICO:</b> Visible para cualquier usuario, inclusive si no se autentica en el sistema.<br>
		<b>AMIGO:</b> Visible solo para los usuarios autenticados con amigo o estatus de administrador.<br>
		<b>PRIVADO:</b> Visible solo para los usuarios administradores. (no amigos)
	</div></blockquote>

<!-- OTHER OPTIONS -->
	<b><u><h2><?php echo $href_other_conf ?></h2></u></b>

<!-- create all thumbs at once -->
	<p><br>
	<b><?php echo $th_msg ?>&nbsp; </b>
	<a href="#toccreatethumbs" name="createthumbs">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Esto le permite crear/borrar todas las imagenes en miniatura <b>sin interactuar</b>.
		Dependiendo de la cantidad de nuevas imagenes, esto podria<b>tomar algun tiempo</b> para finalizar!<br>
		Otra forma entonces <a href='#autoconf'>Auto configurar</a>, Este script crea TODAS las imagenes en miniatura en TODAS las carpetas (recursivamente).
	</div></blockquote>

<!-- recreate all thumbs at once /* TODO */--> 
	<p><br>
	<b><?php echo $recreate_thumbs_header ?>&nbsp; </b>
	<a href="#tocrecreatethumbs" name="recreatethumbs">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Esto le permite RE-crear todas las imagenes en miniatura <b>sin interaccin</b>.
		Otra forma entonces<a href='#createthumbs'>Crear todas las imagenes en miniatura</a> este script recrea TODAS las imagenes en miniatura en TODAS las carpetas (recursivamente) Y TODAS los comentarios, descripciones y estadisticas se perderan.<br>
	</div></blockquote>

<!-- add new category -->
	<p><br>
	<b><?php echo $new_cat_header  ?>&nbsp; </b>
	<a href="#toccatnew" name="catnew">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		LinPHA le permite a usted crear categorias. estas categorias NO son visibles para losusuarios.<br>
		Este le permite a usted<b>organizar sus fotoss</b> dento de categorias como Dias de fiesta, Carros, Gatos, Cualquier cosa.
		El proposito principal<b>encontrar estos</b> mucho mas facil despues, por medio de la pagina de busqueda de LinPHA.
	</div></blockquote>

<!-- mod  categories -->
	<p><br>
	<b><?php echo $mod_cat_header  ?>&nbsp; </b>
	<a href="#toccatmod" name="catmod">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Modifique/borre todas las categorias aqui...
	</div></blockquote>

<!-- MISC OPTIONS TODO!!!-->
	<b><u><h2><?php echo $misc_help ?></h2></u></b>

<!-- problems rotating images -->
	<p><br>
	<b><?php echo $img_rotating ?>&nbsp; </b>
	<a href="#tocimgrotate" name="imgrotate">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Si la caracteristica de la rotacin de imagen de LinPHA esta deshabilitada, este seguro que:<br><br>
		<b>1. Tiene puesto los permisos correctos!</b><br>
		Tampoco ha cambiado los permisos para los archivos sobre el cual apache esta corriendo. (quizas nobody/apache/wwwrun...)
		o solo haz un chmod 666 (Solo en UNIX)...<br>
		<b>2. Verifique su versin de PHP</b><br>
		Si usted instalo "convert" de la suite de ImageMagick usted esta a salvo :)<br>
		Si usted esta usando la libreria GD para crear las imagenes en miniatura, su versin de PHP debe ser por lo menos <b>=4.3.0</b>. Todas las versiones anteriores no soportan la rotacin de imagenes.
		(ver http://su_dominio/linpha/config/info.php para obtener la version de PHP instalada <br>
		Deberia de actualizarse, lo siento....
	</div></blockquote>

<!-- problems printing images -->
	<p><br>
	<b><?php echo $printing_probs ?>&nbsp; </b>
	<a href="#tocprintprobs" name="printprobs">TOC</a></p>
	<blockquote>
	<div style="background-color: #FFFF99; color: #000000; padding: 10px;">
		Si la caracteristica de LinPHA para imprimir esta deshabilitada asegurese de lo siguiente:<br><br>
		1. Su version de PHP es por lo menos <b>>=4.3.0</b>. Todas las versiones anteriores no soportan la rotacion de imagenes lo cual es requerido para poder imprimir.<br><br>
		2. Si usted no quiere actualizar si version de PHP, deberia de instalar el software "convert" de la suite ImageMagick el cual no depende la version de PHP instalada.<br>
		(recuerde configurar "use_covert" = "1" en la tabla linpha_config despues de instalar!!!)</b><br><br>
		3. Usted puede deshabilitar este mensaje (para los visitantes anonimos) configurando la opcin "impresion de visitantes" a off en la seccin de administracin. ver <a href='#printing'>Imprimiendo con LinPHA</a>
	</div></blockquote>
	
	</BODY></HTML>
